Skip to main content
PATCH
/
v1
/
issues
/
{issue_id}
Patch Issue
curl --request PATCH \
  --url https://api.example.com/v1/issues/{issue_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assignee_id": "<string>",
  "team": "<string>",
  "pattern_id": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

issue_id
string
required

Body

application/json
status
enum<string> | null
Available options:
new,
analyzing,
analyzed,
in_loop,
pattern_found,
mitigating,
resolved,
wont_fix
assignee_id
string | null
team
string | null
severity
enum<string> | null
Available options:
p1,
p2,
p3,
p4
pattern_id
string | null

Response

Successful Response

The response is of type Response Patch Issue V1 Issues Issue Id Patch · object.